function Aa=A(St,Stref,Re)

%determine the spectral shape function A. The function A for a particular
%Reynolds number is obtained from an interpolation of the 2 curves Amax and
%Amin corresponding to chosen values, Remax and Remin.


%The values of the Strouhal number will be:
%for SPLp Stp and St1
%for SPLs Sts and St1 (even if Jason put St1_bar)
a=abs(log10(St./Stref));

Amina=Amin(a);
Amaxa=Amax(a);

if Re < 9.52 * 10^4
    a0 = 0.57;
elseif (Re >= 9.52*10^4) && (Re <= 8.57 *10^5)
    a0 = (-9.57.*10^(-13)).*(Re - 8.57.*10^5).^2 + 1.13;
else
    a0 = 1.13;
end


Amina0=Amin(a0);
Amaxa0=Amax(a0);

Ara0=(-20-Amina0)./(Amaxa0-Amina0);

Aa=Amina+Ara0.*(Amaxa-Amina);

