function Gg2=G2(Re,alpha)

%determine the peak scaled level shape curve G2, which depends on Reynolds
%number and angle of attack.

%Reference reynolds number, Re_ref
if alpha <= 3.0
    Re_ref = 10.^((0.215.*alpha)+4.978);
else
    Re_ref = 10.^((0.120.*alpha)+5.263);
end

d_ratio = Re./Re_ref;


if d_ratio <= 0.3237
Gg2 = 77.852.*log10(d_ratio)+15.328;
elseif d_ratio <= 0.5689
Gg2 = 65.188.*log10(d_ratio)+9.125;
elseif d_ratio <= 1.7579
Gg2 = -114.052*((log10(d_ratio))^2);
elseif d_ratio <= 3.0889
Gg2 = -65.188.*log10(d_ratio)+9.125;
else
    Gg2 = -77.852.*log10(d_ratio)+15.238;
end
end