function Gg5=G5(h,delta_avg,phi,phi0,St,St_peak)

%determine the shape of the spectrum with the function G5, where 
%the calculation procedure involves an interpolation between the spectra
%for phi and phi0.

%parameters

n = log10(St/St_peak);

if h/delta_avg < 0.25
    u = 0.1221;
elseif h/delta_avg < 0.62
    u = -0.2175*(h/delta_avg)+0.1755;
elseif h/delta_avg < 1.15
    u = -0.0308*(h/delta_avg)+0.0596;
else
    u = 0.0242;
end

if h/delta_avg <= 0.02
    m = 0;
elseif h/delta_avg <=0.5
    m = 68.724*(h/delta_avg)-1.35;
elseif h/delta_avg <= 0.62
    m = 308.475*(h/delta_avg)-121.23;
elseif h/delta_avg <= 1.15
    m = 224.811*(h/delta_avg)-69.35;
elseif h/delta_avg < 1.2
    m = 1583.28*(h/delta_avg)-1631.59;
else
    m=268.344;
end

n0 = - sqrt((m^(2)*u^(4))/(6.25+m^(2)+u^(2)));
k = 2.5*sqrt(1-(n0/u)^2)-2.5-m*n0;

if n<n0
    G14 = (m*n) + k;
elseif n<0
    G14 = 2.5*sqrt(1-(n/u)^2)-2.5;
elseif n<0.03616
    G14 = sqrt(1.5625-1194*n^2)-1.25;
else
    G14 = -155.543*n+4.375;
end

%Compute G function for solidity angle at 0 degree
h_ratio = 6.724*(h/delta_avg)^(2)-4.019*(h/delta_avg) + 1.107;

if h_ratio >= 0.2 
    St_peak0 = (0.212 - 0.0045*phi0)/(1+0.235*(h_ratio)^(-1)-0.0132*(h_ratio)^(-2));
else
    St_peak0 = 0.1.*(h_ratio)+0.095-0.00243*phi0;
end

n_new = log10(St/St_peak0);

if h_ratio < 0.25
    u_new = 0.1221;
elseif h_ratio < 0.62
    u_new = -0.2175*(h_ratio)+0.1755;
elseif h_ratio < 1.15
    u_new = -0.0308*(h_ratio)+0.0596;
else
    u_new = 0.0242;
end

if h_ratio <= 0.02
    m_new = 0;
elseif h_ratio <=0.5
    m_new = 68.724*(h_ratio)-1.35;
elseif h_ratio <= 0.62
    m_new = 308.475*(h_ratio)-121.23;
elseif h_ratio <= 1.15
    m_new = 224.811*(h_ratio)-69.35;
elseif h_ratio < 1.2
    m_new = 1583.28*(h_ratio)-1631.59;
else
    m_new=268.344;
end

n0_new = - sqrt((m_new^(2)*u_new^(4))/(6.25+m_new^(2)+u_new^(2)));
k_new = 2.5*sqrt(1-(n0_new/u_new)^2)-2.5-m_new*n0_new;

if n_new<n0_new
    G0 = (m_new*n_new) + k_new;
elseif n_new<0
    G0 = 2.5*sqrt(1-(n_new/u_new)^2)-2.5;
elseif n_new<0.03616
    G0 = sqrt(1.5625-1194*n_new^2)-1.25;
else
    G0 = -155.543*n_new+4.375;
end

Gg5 = G0 +0.0714*phi*(G14-G0);
end
