%this sets up everything derived from the initialisation data

%clear vars for dgt studies
clearvars('-except',file.dont_clear{:});
clear blade;
blade=file.blade;


%% centre frequency bands 1/3 octave
f = (10.0^3) * ((2.0) .^ ((-18:13)./3)); 
% load('f_perm_horizontal.mat')
%increase the frequency evaluated
% f = (10.0^3) * ((2.0) .^ ((-18:23)./3)); 
% f = f_perm_horizontal'; 
f2=f.^2;
f4=f.^4;

%A-weighting curve
ASPL=10.*log(1.562339.*f4./((f2+107.65265^2).*(f2+737.86223^2)))./log(10)+10*log(2.242881E+16.*f4./((f2+20.598997^2).^2.*(f2+12194.22^2).^2))/log(10);

%% derived blade variables

% blade.tsr = (blade.speed*blade.radius)/blade.meanflow; %tip speed ratio [-].
blade.rpm=blade.speed*60/(2*pi);      %Blade speed converted from rad/s to rpm
blade.revtime=(blade.speed/(2*pi)).^-1;  %s/rev
%blade.discretisation represents the number of equidistant calculation
%points for a single rotation (e.g. if the sampling percentage, the
%blade.timestep_size = 10, and the timestep to complete 1 revolution,
%blade.ts = 360, then blade.discretisation = 36 equidistant calcualation
%points).
blade.discretisation=floor(blade.ts/blade.timestep_size); 

%add centre to observer location
%--> correct observer for centre location, dont use centre again
% only update this if new sim or if sim needs to change on the fly
% 
 if  counttimestep==1 && length(direc_loop)==1
     %add centre
          blade.observer=[blade.observer(1)+blade.centre.x blade.observer(2)+blade.centre.y blade.observer(3)];
 elseif  countsim==1
          blade.observer=[blade.observer(1)+blade.centre.x blade.observer(2)+blade.centre.y blade.observer(3)];
 end
 


%% derived file variables

file.resolution=(2.*pi)/blade.ts;
file.range=linspace(0,2*pi,blade.ts+1);
file.range=file.range(2:end);


%% Initialise large matrices
noise.SPL.TBL=zeros(blade.num_sources,length(f),blade.discretisation); %initialise large matrix
noise.SPL.LBL=zeros(blade.num_sources,length(f),blade.discretisation); 
noise.SPL.TE=zeros(blade.num_sources,length(f),blade.discretisation); 
noise.SPL.inflow=zeros(blade.num_sources,length(f),blade.discretisation);
noise.SPL.tno=zeros(blade.num_sources,length(f),blade.discretisation);
noise.SPL.itno=zeros(blade.num_sources,length(f),blade.discretisation);
noise.SPL.amiet=zeros(blade.num_sources,length(f),blade.discretisation);
noise.SPL.buck=zeros(blade.num_sources,length(f),blade.discretisation);

noise.SPL.TBL_AV=zeros(1,length(f));
noise.SPL.LBL_AV=zeros(1,length(f));
noise.SPL.TE_AV=zeros(1,length(f));
noise.SPL.inflow_AV=zeros(1,length(f));
noise.SPL.tno_AV=zeros(1,length(f));
noise.SPL.itno_AV=zeros(1,length(f));
noise.SPL.amiet_AV=zeros(1,length(f));
noise.SPL.buck_AV=zeros(1,length(f));

% noise.OASL.TBL = zeros(1,36); 
% noise.OASL.LBL = zeros(1,36);
% noise.OASL.TE= zeros(1,36); 
% noise.OASL.inflow=zeros(1,36);
% noise.OASL.tno=zeros(1,36);
% noise.OASL.itno=zeros(1,36);
% noise.OASL.amiet=zeros(1,36);
% noise.OASL.buck=zeros(1,36);


% make dir for saving files
mkdir(['./' num2str(file.case)]);


