%% find azimuth
    blade.currentangle=blade.le.theta(ij)+blade.pitch.*pi/180;
    if blade.currentangle>2*pi || blade.currentangle<=0
    blade.currentangle=abs(2*pi-abs(blade.currentangle));
    end

    azimuth1=blade.currentangle;

%% Find the distance between the trailing edge and the observer

blade.re=sqrt((blade.te.x(ij)-blade.observer(1)).^2+(blade.te.y(ij)-blade.observer(2)).^2+(blade.te.z(ij)-blade.observer(3)).^2);    


%% Organize value in the structure Blade

blade.aoa = AC_DELPHINE_N7.alpha(count);
blade.W = AC_DELPHINE_N7.Vrel(count);

%Compute the x and z coords of local inflow velocity Uo
blade.Wv = [blade.W/cosd(blade.aoa) blade.W/sind(blade.aoa)];
    
%Compute the Reynolds number and the Mach number using the local inflow velocity at the
%blade inlet
blade.Re=blade.W.*blade.chord/blade.nu;
blade.M=blade.W./blade.c0;
    
%Convective Mach number following BPM model
blade.Mc=0.8*blade.M; 

  %% Determine turbulence parameters
 
% Models for inflow-turbulence noise require two parameters for the
    % turbulence:
    % 1) the integral length scale of turbulence, Lt
    % 2) the turbulence intensity, It
    % alternatively the turbulent dissipation rate epislont

        
    %Compute the root mean square turbulent velocity fluctuation (ud) [m/s]
    %It is the product of the turbulence intensity at the inlet defined in
    %the initialise_var and the local inflow velocity at the blade
    ud=blade.intensity.*blade.W;
    
    %Compute the turbulent kinetic energy (tke) [m2/s2]
    tke=(3/2)*ud^2;
    
    %Compute turbulent dissipation rate (eta) [m2/s3].
    %remember that in this case is the turbulence length scale used is the
    %one at the inflow (along x1, which corresponds to the chord axis, just
    %direction and not value!!!).
    noise.eta=0.55*(tke)^(3/2)./blade.lt;
     


    noise.uturb(count)=sqrt((2/3).*tke);
    noise.intensity=blade.intensity; %turbulence intensity (1% PitchVAWT)
    noise.lt(count)=blade.lt; %Lt1.turbulence length scale [m]. 


%% Compute values for TNO model


[probe.pressure.tno] = BL_TNO_Xfoil(probe.pressure,blade.W,blade.Re,0.3,count);
[probe.suction.tno] = BL_TNO_Xfoil(probe.suction,blade.W,blade.Re,0.45,count);


probe.suction.v_prime3=probe.suction.tno.U1./max(probe.suction.tno.U1);
probe.suction.y_prime3=probe.suction.tno.x2./probe.suction.delta(count);
    
probe.pressure.v_prime3= probe.pressure.tno.U1./max(probe.pressure.tno.U1);
probe.pressure.y_prime3= probe.pressure.tno.x2./probe.pressure.delta(count);
    
    %Determine the doppler correction factor
    doppler_sh()
