function [SPL_source, OASL_source,SPL_A, OASL_A] = noise_sums(f,ASPL,blade,SPL_source1)

%remember that blade.num_sources represents the number of sources along the
%span (spatial discretisation), while blade.discretisation =
%timestep/sampling_percentage and represents the number of angular
%positions that will be evaluated for the given simulation (angular
%discretisation).

%preliminary organisation
dop_2=reshape(repmat(blade.dop',length(f),1),blade.num_sources,length(f),blade.discretisation);
psi_360=(1/blade.discretisation);

%sum all ALONG ROTATION
sound_pressure=(2e-5).*(10.^(SPL_source1./20));
inner_sum=psi_360.*blade.n.*sum(dop_2.*sound_pressure,3);
outer_sum=sum(inner_sum,1);

%pressure sum along blade
SPL_source=addDB(20*log10(inner_sum./2e-5)); % new approach (cgt



%% Overall Sound Pressure Level
OASL_source=addDB(SPL_source);
% 
%% A-weighting
SPL_A=SPL_source+ASPL;
OASL_A=addDB(SPL_A);



%% sddsa
%SPL_source2=addDB(20*log10(inner_sum./2e-5));
