%This code is used to compare the blade forces versus time for two
%different resolutions. Figure 2.6 of the dissertation.
clear all
close all
clc
%% Settings for plotting
load ../data/mycolor.mat
width = 39.6875;
height = width*0.4;
%% Load data files
%High-fidelity
load ../data/HIGHFIDELITY.mat
%% Plot
cd('../plot')
hfig = figure(1);
set(hfig,'Units', 'centimeters', 'pos', [2.619375 2.619375 width height])
hold on; grid on;
plot(HIGHFIDELITY.time_fine,HIGHFIDELITY.Fn_b1_medium,'LineWidth',3,'Color',mycolor.black);
plot(HIGHFIDELITY.time_fine,HIGHFIDELITY.Fn_b1_fine,'--','LineWidth',3,'Color',mycolor.cyan_thesis);
xlabel('$t [s]$','Interpreter','latex','FontWeight','bold')
ylabel('$F_n$ on blade 1 [N]','Interpreter','latex','FontWeight','bold')
xticks([0 0.58 1.17 1.76 2.34 2.92])
xticklabels({'0.29','0.88','1.46','2.05','2.63','3.21'})
ax = gca;
% ax.GridAlpha = 0.50;
lg = legend('LB-VLES medium','LB-VLES fine');
set(lg,'Interpreter','latex','Orientation','Horizontal','NumColumns',1);
set(gca,'FontSize',28,'TickLabelInterpreter','latex','FontWeight','bold')
exportgraphics(hfig,'Fn_b1_fine_medium_V2.pdf');
saveas(hfig,'Fn_b1_fine_medium_V2','fig')
